Reset the locale after tests that may change it
[rails.git] / Gemfile.lock
index fee72773e9fd7fec4fcdb179cb8dad5e1794cea4..7de1743dcef714eba8a6289d23d598c0ab799db7 100644 (file)
@@ -40,8 +40,12 @@ GEM
       thread_safe (~> 0.3, >= 0.3.4)
       tzinfo (~> 1.1)
     arel (6.0.0)
-    autoprefixer-rails (4.0.2.2)
+    ast (2.0.0)
+    astrolabe (1.3.0)
+      parser (>= 2.2.0.pre.3, < 3.0)
+    autoprefixer-rails (5.1.7)
       execjs
+      json
     bigdecimal (1.1.0)
     builder (3.2.2)
     capybara (2.4.4)
@@ -61,44 +65,56 @@ GEM
     coffee-script (2.3.0)
       coffee-script-source
       execjs
-    coffee-script-source (1.8.0)
+    coffee-script-source (1.9.1)
     colorize (0.7.5)
     composite_primary_keys (8.0.0)
       activerecord (~> 4.2.0)
+    coveralls (0.7.11)
+      multi_json (~> 1.10)
+      rest-client (>= 1.6.8, < 2)
+      simplecov (~> 0.9.1)
+      term-ansicolor (~> 1.3)
+      thor (~> 0.19.1)
     crass (1.0.1)
     dalli (2.7.2)
     deadlock_retry (1.2.0)
+    docile (1.1.5)
     dynamic_form (1.1.4)
     erubis (2.7.0)
-    execjs (2.2.2)
+    execjs (2.3.0)
     faraday (0.9.1)
       multipart-post (>= 1.2, < 3)
-    globalid (0.3.0)
+    globalid (0.3.3)
       activesupport (>= 4.1.0)
+    hashie (3.4.0)
     hike (1.2.3)
     htmlentities (4.3.3)
-    http_accept_language (2.0.2)
+    http_accept_language (2.0.5)
     httpclient (2.6.0.1)
     i18n (0.7.0)
-    iconv (0.1)
     jquery-rails (4.0.3)
       rails-dom-testing (~> 1.0)
       railties (>= 4.2.0)
       thor (>= 0.14, < 2.0)
+    jshint (1.3.1)
+      execjs (>= 1.4.0)
+      multi_json (~> 1.0)
+      therubyracer (~> 0.12.1)
     json (1.8.2)
     jsonify (0.3.1)
       multi_json (~> 1.0)
     jsonify-rails (0.3.2)
       actionpack
       jsonify (< 0.4.0)
-    jwt (1.2.0)
-    kgio (2.9.2)
+    jwt (1.3.0)
+    kgio (2.9.3)
     konacha (3.3.0)
       actionpack (>= 3.1, < 5)
       capybara
       colorize
       railties (>= 3.1, < 5)
       sprockets
+    libv8 (3.16.14.7)
     libxml-ruby (2.8.0)
     loofah (2.0.1)
       nokogiri (>= 1.5.9)
@@ -110,7 +126,8 @@ GEM
     multi_json (1.10.1)
     multi_xml (0.5.5)
     multipart-post (2.0.0)
-    nokogiri (1.6.5)
+    netrc (0.10.3)
+    nokogiri (1.6.6.2)
       mini_portile (~> 0.6.0)
     nokogumbo (1.2.0)
       nokogiri
@@ -126,8 +143,12 @@ GEM
       multi_json (~> 1.3)
       multi_xml (~> 0.5)
       rack (~> 1.2)
-    open_id_authentication (1.2.0)
-      rack-openid (~> 1.3)
+    omniauth (1.2.2)
+      hashie (>= 1.2, < 4)
+      rack (~> 1.0)
+    omniauth-openid (1.0.1)
+      omniauth (~> 1.0)
+      rack-openid (~> 1.3.1)
     openstreetmap-i18n-js (3.0.0.rc5.3)
       i18n
     paperclip (4.2.1)
@@ -135,17 +156,20 @@ GEM
       activesupport (>= 3.0.0)
       cocaine (~> 0.5.3)
       mime-types
+    parser (2.2.0.3)
+      ast (>= 1.1, < 3.0)
     pg (0.18.1)
-    poltergeist (1.5.1)
+    poltergeist (1.6.0)
       capybara (~> 2.1)
       cliver (~> 0.3.1)
       multi_json (~> 1.0)
       websocket-driver (>= 0.2.0)
-    psych (2.0.9)
+    powerpack (0.1.0)
+    psych (2.0.13)
     r2 (0.2.5)
     rack (1.6.0)
     rack-cors (0.3.1)
-    rack-openid (1.4.2)
+    rack-openid (1.3.1)
       rack (>= 1.1.0)
       ruby-openid (>= 2.1.8)
     rack-test (0.6.3)
@@ -169,7 +193,7 @@ GEM
       rails-deprecated_sanitizer (>= 1.0.1)
     rails-html-sanitizer (1.0.1)
       loofah (~> 2.0)
-    rails-i18n (4.0.3)
+    rails-i18n (4.0.4)
       i18n (~> 0.6)
       railties (~> 4.0)
     railties (4.2.0)
@@ -177,46 +201,69 @@ GEM
       activesupport (= 4.2.0)
       rake (>= 0.8.7)
       thor (>= 0.18.1, < 2.0)
+    rainbow (2.0.0)
     rake (10.4.2)
     redcarpet (3.2.2)
+    ref (1.0.5)
+    rest-client (1.7.3)
+      mime-types (>= 1.16, < 3.0)
+      netrc (~> 0.7)
     rinku (1.7.3)
+    rubocop (0.29.1)
+      astrolabe (~> 1.3)
+      parser (>= 2.2.0.1, < 3.0)
+      powerpack (~> 0.1)
+      rainbow (>= 1.99.1, < 3.0)
+      ruby-progressbar (~> 1.4)
     ruby-openid (2.6.0)
-    sanitize (3.1.0)
+    ruby-progressbar (1.7.1)
+    sanitize (3.1.2)
       crass (~> 1.0.1)
       nokogiri (>= 1.4.4)
       nokogumbo (= 1.2.0)
-    sass (3.4.9)
+    sass (3.4.13)
     sass-rails (5.0.1)
       railties (>= 4.0.0, < 5.0)
       sass (~> 3.1)
       sprockets (>= 2.8, < 4.0)
       sprockets-rails (>= 2.0, < 4.0)
       tilt (~> 1.1)
+    simplecov (0.9.2)
+      docile (~> 1.1.0)
+      multi_json (~> 1.0)
+      simplecov-html (~> 0.9.0)
+    simplecov-html (0.9.0)
     soap4r-ruby1.9 (2.0.5)
     sprockets (2.12.3)
       hike (~> 1.2)
       multi_json (~> 1.0)
       rack (~> 1.0)
       tilt (~> 1.1, != 1.3.0)
-    sprockets-rails (2.2.2)
+    sprockets-rails (2.2.4)
       actionpack (>= 3.0)
       activesupport (>= 3.0)
       sprockets (>= 2.8, < 4.0)
+    term-ansicolor (1.3.0)
+      tins (~> 1.0)
+    therubyracer (0.12.1)
+      libv8 (~> 3.16.14.0)
+      ref
     thor (0.19.1)
     thread_safe (0.3.4)
     tilt (1.4.1)
-    timecop (0.7.1)
+    timecop (0.7.3)
+    tins (1.3.4)
     tzinfo (1.2.2)
       thread_safe (~> 0.1)
-    uglifier (2.7.0)
+    uglifier (2.7.1)
       execjs (>= 0.3.0)
       json (>= 1.8.0)
-    validates_email_format_of (1.6.1)
+    validates_email_format_of (1.6.2)
       i18n
     vendorer (0.1.16)
-    websocket-driver (0.5.1)
+    websocket-driver (0.5.3)
       websocket-extensions (>= 0.1.0)
-    websocket-extensions (0.1.1)
+    websocket-extensions (0.1.2)
     xpath (2.0.0)
       nokogiri (~> 1.3)
 
@@ -230,14 +277,16 @@ DEPENDENCIES
   bigdecimal (~> 1.1.0)
   coffee-rails (~> 4.1.0)
   composite_primary_keys (~> 8.0.0)
+  coveralls
   dalli
   deadlock_retry (>= 1.2.0)
   dynamic_form
+  faraday
   htmlentities
   http_accept_language (~> 2.0.0)
   httpclient
-  iconv (= 0.1)
   jquery-rails
+  jshint
   json
   jsonify-rails
   kgio
@@ -245,7 +294,8 @@ DEPENDENCIES
   libxml-ruby (>= 2.0.5)
   minitest (~> 5.1)
   oauth-plugin (>= 0.5.1)
-  open_id_authentication (>= 1.1.0)
+  omniauth
+  omniauth-openid
   openstreetmap-i18n-js (>= 3.0.0.rc5.3)
   paperclip (~> 4.0)
   pg
@@ -257,7 +307,7 @@ DEPENDENCIES
   rails-i18n (~> 4.0.0)
   redcarpet
   rinku (>= 1.2.2)
-  ruby-openid (>= 2.2.0)
+  rubocop
   sanitize
   sass-rails (~> 5.0)
   soap4r-ruby1.9